/** @file fifo_msg.h
 *    ,    .
 *
 * @author   (chupilko@ispras.ru)
 */

#pragma once

#include <hw/message.hpp>

namespace cpptesk {
namespace examples {
namespace fifo {

///       ()
CPPTESK_MESSAGE(InputData)
{
public:
    InputData();
    virtual ~InputData();

    ///   .
    CPPTESK_SUPPORT_CLONE(InputData);
    ///   data  8 .
    CPPTESK_DECLARE_FIELD(data, 8);
};

///       ()
CPPTESK_MESSAGE(OutputData)
{
public:
    OutputData();
    OutputData(uint8_t datum);
    virtual ~OutputData();

    ///   .
    CPPTESK_SUPPORT_CLONE(OutputData);
    ///   data  8 .
    CPPTESK_DECLARE_FIELD(data, 8);
};

}}}

