#!/bin/sh

echo NODES COMPUTERS=$COMPUTERS TESTRUNS_DIR=$TESTRUNS_DIR TESTRUN=$TESTRUN TESTNAME=$TESTNAME

NODEINDEX=0
NODETOTAL=4
NODECOUNT=0
NODEDIR=$CONFIG_DIR/clusters/$CLUSTER/nodes

rm -f $TESTRUNS_DIR/$TESTRUN/nodes.cfg
mkdir -p $NODEDIR

while [ $NODEINDEX -lt $NODETOTAL ]
do
    NODEFILE=$NODEDIR/localhost_202$NODEINDEX
    if [ -e "$NODEFILE" ]
    then
        echo NODE $NODEFILE IS BUSY
    else
        echo NODE $NODEFILE IS FREE
        if [ $COMPUTERS != 'all' ]
        then
            if [ $NODECOUNT -lt $COMPUTERS ]
            then
                echo $TESTRUN > $NODEFILE
                echo "localhost:202$NODEINDEX, 212$NODEINDEX" >> $TESTRUNS_DIR/$TESTRUN/nodes.cfg
                echo NODE $NODEFILE TAKEN
                NODECOUNT=`expr $NODECOUNT + 1`
            fi
        fi
    fi
    NODEINDEX=`expr $NODEINDEX + 1`
done

if [ $COMPUTERS = 'all' ]
then
    if [ -e "$TESTRUNS_DIR/$TESTRUN/nodes.cfg" ]
    then
        echo "" > /dev/null
    else
        echo "No free nodes" 2>&1
    fi
else
    if [ $NODECOUNT -lt $COMPUTERS ]
    then
        echo "Not enough free nodes" 2>&1
        exit 1
    fi
fi

echo NODES END